Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.ssinhistory.protocol.v1
Class ConsultSsinRequestType

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.consultrn.ssinhistory.protocol.v1.ConsultSsinRequestType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConsultCurrentSsinRequest, ConsultRelatedSsinsRequest

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:06:13+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultSsinRequestType

extends RequestType
implements Serializable

Request type

Java class for ConsultSsinRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultSsinRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="Ssin" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultSsinRequestType()`

Method Summary
`String` | `getSsin()` Gets the value of the ssin property.
`void` | `setSsin(String value)` Sets the value of the ssin property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultSsinRequestType

    public ConsultSsinRequestType()

Method Detail

### getSsin

    public String getSsin()

  Gets the value of the ssin property.

  Returns:
    possible object is `String`

### setSsin

    public void setSsin(String value)

  Sets the value of the ssin property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.